%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%% Font definitions from "article" class %%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

\renewcommand\normalsize{%
   \@setfontsize\normalsize\@xpt\@xiipt
   \abovedisplayskip 10\p@ \@plus2\p@ \@minus5\p@
   \abovedisplayshortskip \z@ \@plus3\p@
   \belowdisplayshortskip 6\p@ \@plus3\p@ \@minus3\p@
   \belowdisplayskip \abovedisplayskip
   \let\@listi\@listI}
\normalsize
\newcommand\small{%
   \@setfontsize\small\@ixpt{11}%
   \abovedisplayskip 8.5\p@ \@plus3\p@ \@minus4\p@
   \abovedisplayshortskip \z@ \@plus2\p@
   \belowdisplayshortskip 4\p@ \@plus2\p@ \@minus2\p@
   \def\@listi{\leftmargin\leftmargini
               \topsep 4\p@ \@plus2\p@ \@minus2\p@
               \parsep 2\p@ \@plus\p@ \@minus\p@
               \itemsep \parsep}%
   \belowdisplayskip \abovedisplayskip
}
\newcommand\footnotesize{%
   \@setfontsize\footnotesize\@viiipt{9.5}%
   \abovedisplayskip 6\p@ \@plus2\p@ \@minus4\p@
   \abovedisplayshortskip \z@ \@plus\p@
   \belowdisplayshortskip 3\p@ \@plus\p@ \@minus2\p@
   \def\@listi{\leftmargin\leftmargini
               \topsep 3\p@ \@plus\p@ \@minus\p@
               \parsep 2\p@ \@plus\p@ \@minus\p@
               \itemsep \parsep}%
   \belowdisplayskip \abovedisplayskip
}
\newcommand\scriptsize{\@setfontsize\scriptsize\@viipt\@viiipt}
\newcommand\tiny{\@setfontsize\tiny\@vpt\@vipt}
\newcommand\large{\@setfontsize\large\@xiipt{14}}
\newcommand\Large{\@setfontsize\Large\@xivpt{18}}
\newcommand\LARGE{\@setfontsize\LARGE\@xviipt{22}}
\newcommand\huge{\@setfontsize\huge\@xxpt{25}}
\newcommand\Huge{\@setfontsize\Huge\@xxvpt{30}}



%%%%%%%%%%%%%%%%%%%%%%%%%%
%%% Necessary packages %%%
%%%%%%%%%%%%%%%%%%%%%%%%%%

\usepackage[a4paper,text={18cm,26cm},centering]{geometry}

\usepackage{ifxetex}
\ifxetex
  \usepackage{xltxtra}
  \usepackage[czech]{polyglossia}  

  \newcommand\savePdfMeta{\hypersetup{
    pdfborder={0 0 0},
    colorlinks=false,
    unicode=false,
    pdftitle={\@title},
    pdfauthor={\@author},
  }}    
\else
  \usepackage[utf8]{inputenc}
  \usepackage[czech]{babel}

  \newcommand\headerfont{\small}
  \newcommand\savePdfMeta{\hypersetup{
    pdfborder={0 0 0},
    colorlinks=false,unicode=false,
    pdftitle={Usneseni AS FEL}
  }}
\fi

%%%%%%%%%%%%%%%%%%%%%%%%
%%% TABLE definition %%%
%%%%%%%%%%%%%%%%%%%%%%%%

%-*-tex-*-
% Copyright Michael J. Ferguson, INRS-Telecommunications (1985,1986)
% All rights reserved.
\catcode`\@=11
 
%======= Additional active Characters ===========
% ALL ACTIVE CHARACTERS MUST BE DECLARED AND DEFINED AT THE VERY
% BEGINNING OR THERE IS A DANGER OF INCORRECT TOKENIZATION
% ======== THESE ARE USED IN THE TABLE MACROS =========
\message{<< Additional Active Characters >>}
\catcode`\|= \active
\def|{\ifmmode \vert\else \char`\|\fi} % effectively undoes activeness
\def\q@m{\string"}
\catcode`\"=\active \def"{\char`\"}
% update \dospecials
\toksdef\toks@@=2
\toks@{\do \"}%
\toks@@ =\expandafter{\dospecials}\xdef\dospecials{\the\toks@@\the\toks@}
\toks@{\do \|}%
\toks@@ =\expandafter{\dospecials}\xdef\dospecials{\the\toks@@\the\toks@}
%=== these are redefined inside the table macros =====
 
 
%============= Table making macros ============
% the basic format is
% \begintable
% <special definitions for this table>
% \begintableformat
%           format as in halign except it needs ## instead of #
%           in tableformat, " means strut column
%           spacing controlled by \left, \center, \right
%           can use \math or \displaymath in conjuction with spacing
% \endtableformat
% \br{<struts>} .... | .... | .... " ..... | .... \er{<stuff>}  (rows)
% \-                                                (horizontal rules)
% ....etc
% \endtable
%
% each row has format
% \br{<..>}  <item> | <item} " .... | <item> \er{<..>}
%                   \br, \er mean beginning of row, end of row
%                   in table | means rule, " means no rule in strut column
%                   \: is standard strut, | is standard vrule
%
% \tablespread {to <dimen>}  width of table
% \tr=width of rules (default .4pt)
% \midtabglue sets glue in table (default 0pt plus 1fill)
% also can set explicit hrules and vrules
% tokens (e.g. \tablespread, \tr, \midtabglue, etc.) can be set in \everytable
 
% these macros require that | and " be active during the entire
% document to work correctly. ... although some definitions specifically
% set them active
\newcount\a@lignstate  \a@lignstate=0  %0 -- between lines after \cr
                                       %1 -- beginning of line in \bl
                                       %2 -- midline
                                       %3 -- endline in \el
\def\hssf{\hskip 0pt plus 1fill minus 1fill}
\def\n@ewaligndefs{\def\center##1{\hssf ##1\hssf\null}
          \def\left##1{##1\hssf\null}
          \def\right##1{\hssf ##1\null}}
\newdimen\trulesize
\let\tr=\trulesize
\trulesize = .4pt
\def\zerocenteredbox#1{\ifmmode \ifinner \setbox2 =\hbox{$#1$}\else
                           \setbox2 =\hbox{$\displaystyle#1$}\fi
                     \else \setbox2 =\hbox{#1}\fi
      \setbox0=\hbox{\lower.5ex\hbox{$\vcenter{\box2}$}}\ht0=0pt\dp0 =0pt\box0}
\let\zb=\zerocenteredbox
 
%this macro creates a strut with the that is higher by #2 and deeper than #3
% than the natural size of #1 ... the sizes may be negative
\def\modifystrut#1#2#3{\setbox4=\hbox{#1}\dimen0=\ht4
             \advance \dimen0 by #2 \dimen2 = \dp4
             \advance  \dimen2 by #3
            \vrule width 0pt height \dimen0 depth \dimen2}
\let\mst=\modifystrut
%general math form
\def\math#1{\relax $\relax#1\relax$}
\def\displaymath #1{\relax$\displaystyle #1\relax$}
 
 
%
\newskip\tcs
\newtoks\tablespread
\newskip\midtabglue \midtabglue = 0pt plus 1fill
\newtoks\everytable  \everytable = {\relax}
 
{\catcode`\|=\active   \catcode`\" = \active
  \gdef\begintable{\vbox\bgroup \tcs=.5em % uses font in force when entering
                  \catcode`\|=\active
                  \catcode`\"=\active
                   \def\:{\relax \vrule height 2.5ex depth .9ex width 0pt}
          \def\-{\ifcase\a@lignstate \fulltablerule{\tr}
                  \else
                  \thrule{\tr}\fi}
          \let\t@xx =\relax % for premature expansions
          \everycr={\noalign{\global\a@lignstate=0}}
          \def\fulltablerule##1{\noalign{\hrule height
                   ##1}}
          \def\thrule##1{\omit\leaders\hrule height ##1\hfill}
          \def\center{\hskip\tcs\hss ########\hss\hskip\tcs}
          \def\left{\hskip\tcs ########\hss\hskip\tcs}
          \def\right{\hskip\tcs\hss ########\hskip\tcs}
          \def\sprule{\tvrule{2.5\tr}}
          \def|{\ifcase\a@lignstate \def\t@xx{\tvrule{\tr}}\or
                            \def\t@xx{\tvrule{\tr}}\or
                             \def\t@xx{\unskip&\tvrule{\tr}&}\else
                             \def\t@xx{\tvrule{\tr}}\fi\t@xx}
          \def\|{\ifcase\a@lignstate \def\t@xx{\sprule}\or
                            \def\t@xx{\sprule}\or
                             \def\t@xx{\unskip&\sprule&}\else
                              \def\t@xx{\sprule}\fi\t@xx}
          \def"{&########&} % for table format
          \def\br##1{\global\a@lignstate=1 ##1\unskip\global\a@lignstate=2&}
          \def\er##1{\global\a@lignstate=3\unskip&##1\unskip
                      \global\a@lignstate=0\cr}
          \def\tvrule##1{\hss\vrule width ##1\hss}
          \def~{\penalty\@M \hphantom{0}}
%    % changes ~ to be phantom of width .5em
          \tablespread = {}
          \the\everytable
               }
  \gdef\begintableformat #1\endtableformat{\offinterlineskip \tabskip = 0pt
       \edef\t@blform{####\tabskip =\midtabglue &#1&####\tabskip=0pt\cr}
%      % adds rules front and back
                                  \n@ewaligndefs
                                 \def"{\ifcase\a@lignstate \def\t@xx{\relax}\or
                                          \def\t@xx{\relax}\or
                                        \def\t@xx{\unskip&&}\else
                                        \def\t@xx{\relax}\fi\t@xx}
                                \edef\h@align{\halign \the\tablespread}
                                  \h@align\bgroup\span\t@blform}
      }% " and | are always active in INRSTEX
 
\def\use#1{\omit\mscount=#1 \advance\mscount by -1\multiply\mscount by2
                \loop\ifnum\mscount>1 \sp@n\repeat
                \ifnum\mscount>0 \span \else \relax \fi}
\let\sp=\span
\let\om = \omit
\def\sa#1{\setbox0=\hbox{#1}\hbox to \wd0{}}
\def\endtable{\crcr\egroup\egroup}
 
\catcode`\@=12



%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%% The rest of PREZENCKA definitions %%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

\voffset -2em

\newtoks\cislo
\newtoks\typ
\newtoks\datum

\newtoks\zamA
\newtoks\zamB
\newtoks\zamC
\newtoks\zamD
\newtoks\zamE
\newtoks\zamF
\newtoks\zamG
\newtoks\zamH
\newtoks\zamI
\newtoks\zamJ
\newtoks\zamK
\newtoks\zamL
\newtoks\zamM

\newtoks\stuA
\newtoks\stuB
\newtoks\stuC
\newtoks\stuD
\newtoks\stuE
\newtoks\stuF
\newtoks\stuG
\newtoks\stuH
\newtoks\stuI
\newtoks\stuJ

\newdimen\vyskariadku
\vyskariadku=14pt

\long\def\print{
\vfill

\vfill
{\baselineskip22pt
\centerline{\textbf{\Large Prezenční listina -- \the\cislo. \the\typ\  zasedání AS FEL dne \the\datum}}
}
\medskip
\noindent{\textbf{Akademičtí pracovníci}}
\medskip

\begintable
\tablespread {to 18cm}
\begintableformat
\vbox to \vyskariadku{}\hbox to 4cm{\left} " \hbox to 1cm{\center} " \hbox to 2.5cm{\center} " \hbox to 4cm{\center} " \hbox to 2.5cm{\center}
\endtableformat
\-
\br{\:|} \textbf{Jméno} \hfill |  \textbf{Oml.} | \textbf{Příchod} | \textbf{Podpis} | \textbf{Odchod} \er{|}
\-\noalign{\vskip1pt}
\-
\br{\:|} \the\zamA |  | | | \er{|}
\-
\br{\:|} \the\zamB |  | | | \er{|}
\-
\br{\:|} \the\zamC |  | | | \er{|}
\-
\br{\:|} \the\zamD |  | | | \er{|}
\-
\br{\:|} \the\zamE |  | | | \er{|}
\-
\br{\:|} \the\zamF |  | | | \er{|}
\-
\br{\:|} \the\zamG |  | | | \er{|}
\-
\br{\:|} \the\zamH |  | | | \er{|}
\-
\br{\:|} \the\zamI |  | | | \er{|}
\-
\br{\:|} \the\zamJ |  | | | \er{|}
\-
\br{\:|} \the\zamK |  | | | \er{|}
\-
\br{\:|} \the\zamL |  | | | \er{|}
\-
\br{\:|} \the\zamM |  | | | \er{|}
\-
\endtable

\medskip
\noindent{\textbf{Studenti}}
\medskip

\begintable
\tablespread {to 18cm}
\begintableformat
\vbox to \vyskariadku{}\hbox to 4cm{\left} " \hbox to 1cm{\center} " \hbox to 2.5cm{\center} " \hbox to 4cm{\center} " \hbox to 2.5cm{\center}
\endtableformat
\-
\br{\:|} \textbf{Jméno} \hfill | \textbf{Oml.} | \textbf{Příchod} | \textbf{Podpis} | \textbf{Odchod} \er{|}
\-\noalign{\vskip1pt}
\-
\br{\:|} \the\stuA |  | | | \er{|}
\-
\br{\:|} \the\stuB |  | | | \er{|}
\-
\br{\:|} \the\stuC |  | | | \er{|}
\-
\br{\:|} \the\stuD |  | | | \er{|}
\-
\br{\:|} \the\stuE |  | | | \er{|}
\-
\br{\:|} \the\stuF |  | | | \er{|}
\-
\br{\:|} \the\stuG |  | | | \er{|}
\-
\br{\:|} \the\stuH |  | | | \er{|}
\-
\br{\:|} \the\stuI |  | | | \er{|}
\-
\br{\:|} \the\stuJ |  | | | \er{|}
\-
\endtable

\medskip
\noindent{\textbf{Hosté}}
\medskip

\begintable
\tablespread {to 18cm}
\begintableformat
\vbox to \vyskariadku{}\left " \center
\endtableformat
\-
\br{\:|} \textbf{Jméno} | \textbf{Podpis} \er{|}
\-\noalign{\vskip1pt}
\-
\br{\:|}  |  \er{|}
\-
\br{\:|}  |  \er{|}
\-
\br{\:|}  |  \er{|}
\-
\br{\:|}  |  \er{|}
\-
\br{\:|}  |  \er{|}
\-
\br{\:|}  |  \er{|}
\-
\br{\:|}  |  \er{|}
\-
\br{\:|}  |  \er{|}
\-
\br{\:|}  |  \er{|}
\-
\br{\:|}  |  \er{|}
\-
\endtable

}






















